This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 444172 - Sound on first x-server inappropriately yielded to second x-server on XDMCP login
Sound on first x-server inappropriately yielded to second x-server on XDMCP l...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ConsoleKit (Show other bugs)
10
All Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On: 473983
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-25 12:31 EDT by Chris Weyl
Modified: 2014-03-16 23:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:07:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-04-25 12:31:20 EDT
Scenario is thus:

One desktop, running two X sessions.  One session is used for local login; sound
works nicely (pulseaudio).

The second session is used for XDMCP remote logins.

On switching to the second X session, (AFAIK) ConsoleKit attempts to yield
control of the audio device to the second X session, even though the second
session is really "running" on a remote machine.

End result, no sound from the first session, and the clients running under the
second session cannot play sound via the network to the PA server running under
the first session.

So, I'd say the bug here is "control of the audio devices should only be yielded
to different X sessions when those X sessions are not XDMCP remote logins."
Comment 1 Chris Weyl 2008-04-28 12:35:14 EDT
If this is going to take time to sort through properly, any pointers to
implementing a workaround would be appreciated.  It's irksome to not be able to
listen to music while working or hear pidgin "ding!" when my boss im's me :)
Comment 2 Colin Walters 2008-09-12 19:24:17 EDT
I haven't looked at this in detail but my guess is that pulseaudio needs to check the is-local property from ConsoleKit.
Comment 3 Bug Zapper 2008-11-26 05:34:20 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 01:25:53 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Chris Weyl 2009-01-09 09:36:25 EST
AFAIK this is still an issue -- but I can't do remote login per bug 473983.
Comment 6 Fedora Admin XMLRPC Client 2009-04-08 13:00:49 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Bug Zapper 2009-11-18 02:53:14 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 01:07:20 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.